Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.demo
Class DefaultCommentWindow

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--org.netbeans.jemmy.demo.DefaultCommentWindow

All Implemented Interfaces:
  javax.accessibility.Accessible, CommentWindow, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class DefaultCommentWindow
extends javax.swing.JDialog
implements CommentWindow

Default org.netbeans.jemmy.demo.CommentWindow implementation.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  Serialized Form

Inner Class Summary
`class` | `DefaultCommentWindow.Mover` Perform a mouse action at the end of test step.

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DefaultCommentWindow()` Constructs a DefaultCommentWindow object.
`DefaultCommentWindow(boolean modal)` Constructs a DefaultCommentWindow object.

Method Summary
`void` | `close()` Closes the window.
`java.lang.String` | `getInterruptMessage()` Returns a message for a case when test needs to be interrupted.
`boolean` | `isInterrupted()` Defines either test execution should be interrupted or not.
`boolean` | `isStopped()` Defines either test(demo) has been stopped or not.
`void` | `nextStep(java.lang.String stepComment)` Should display next step comment.
`void` | `setCommentTimeout(long timeout)` Specifies the time to display comment.
`void` | `showFinalComment(java.lang.String stepComment)` Method is invoked at the end of test(demo).

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.netbeans.jemmy.demo.CommentWindow
`setTitle`

Constructor Detail

### DefaultCommentWindow

    public DefaultCommentWindow(boolean modal)

  Constructs a DefaultCommentWindow object.
  Parameters:
    `modal` - Display as modal dialog.

### DefaultCommentWindow

    public DefaultCommentWindow()

  Constructs a DefaultCommentWindow object.

Method Detail

### setCommentTimeout

    public void setCommentTimeout(long timeout)

  Specifies the time to display comment.
  Parameters:
    `timeout` - lond value.

### isStopped

    public boolean isStopped()

  Description copied from interface: `CommentWindow`
  Defines either test(demo) has been stopped or not.
  Specified by:
    `isStopped` in interface `CommentWindow`
  Following copied from interface: `org.netbeans.jemmy.demo.CommentWindow`
  Returns:
    true if test (demo) execution has been stopped. Like when user is reading step comments. false if test execution can be continued.

### nextStep

    public void nextStep(java.lang.String stepComment)

  Description copied from interface: `CommentWindow`
  Should display next step comment.
  Specified by:
    `nextStep` in interface `CommentWindow`
  Following copied from interface: `org.netbeans.jemmy.demo.CommentWindow`
  Parameters:
    `stepComment` - Comments to be displayed.

### showFinalComment

    public void showFinalComment(java.lang.String stepComment)

  Description copied from interface: `CommentWindow`
  Method is invoked at the end of test(demo).
  Specified by:
    `showFinalComment` in interface `CommentWindow`
  Following copied from interface: `org.netbeans.jemmy.demo.CommentWindow`
  Parameters:
    `stepComment` - Comment to be displayed.

### isInterrupted

    public boolean isInterrupted()

  Description copied from interface: `CommentWindow`
  Defines either test execution should be interrupted or not.
  Specified by:
    `isInterrupted` in interface `CommentWindow`
  Following copied from interface: `org.netbeans.jemmy.demo.CommentWindow`
  Returns:
    If true, execution will be interrupted.

### getInterruptMessage

    public java.lang.String getInterruptMessage()

  Description copied from interface: `CommentWindow`
  Returns a message for a case when test needs to be interrupted.
  Specified by:
    `getInterruptMessage` in interface `CommentWindow`
  Following copied from interface: `org.netbeans.jemmy.demo.CommentWindow`
  Returns:
    Interrupted message if test should be interrupted.

### close

    public void close()

  Description copied from interface: `CommentWindow`
  Closes the window.
  Specified by:
    `close` in interface `CommentWindow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD